Bug 122716 - g77 -g -fno-f2c on Opteron (AMD64) causes Internal compiler error in emit_group_store, at expr.c:2251
Summary: g77 -g -fno-f2c on Opteron (AMD64) causes Internal compiler error in emit_gro...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-07 12:45 UTC by Maurik Holtrop
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 01:30:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:385 normal SHIPPED_LIVE Updated gcc packages 2004-08-02 04:00:00 UTC

Description Maurik Holtrop 2004-05-07 12:45:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Compiling code with both "-g" and "-fno-f2c" gives internal compiler
error.
Compiling my code without the "-fno-f2c" or with "-O" instead of "-g"
and it works fine.



Version-Release number of selected component (if applicable):
gcc-g77-3.2.3-24

How reproducible:
Always

Steps to Reproduce:
1. Try compiling the following simplified code. (This is a simplified
routine from the CERN libraries, which compiles on many platforms, yes
it is very very old, from before you were born and physicists wrote in
FORTRAN IV)
 
      FUNCTION CSCCAL(STR,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)
      CHARACTER *(*)STR
      COMPLEX CSCCAL,CSCJCL,CSCJCX
      INTEGER M(10),MD(11)
      CHARACTER*80 REC,REC1,MAINPR*8,PROMPT(5)*4
      COMMON/CSCBFR/REC,REC1,MAINPR,PROMPT
      N=LEN(STR)
      J=MJSCHA(STR)
      K=MKBLAN(J,N)
      IF(MIDENT(J,N,JID,KLENID).EQ.0)GO TO 3
      JP=CSLTGP(IPVS)
      GO TO 1
      ENTRY CSCJCL(JSUB,NPAR,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)
      JP=JSUB
      CSCJCL=(0.,0.)
  1   CSCCAL=(0.,0.)
      IF(JP.LE.0)GO TO 4
      IF(NPAR)3,2,10
 10   IF(NPAR.GT.10)GO TO 6
      DO 77 I=2,NPAR+1
 77   MD(I)=-101
 6    CALL CSSOUT('CSDCAL: TOO MANY PARAMETERS')
      RETURN
 2    CSCCAL=CSCJCX(JP,NPAR,M)
      RETURN
 3    REC1='CSCCAL: ERROR IN PARAMETER DESCRIPTION'
      GO TO 5
 4    REC1='CSCCAL: NO PROGRAM'
      CALL CCOPYS(JID,JSR1+20,NCIDEN)
 5    CALL CSSOUT(REC1)
      END

2. compile on AMD64 machine with: g77 -c -g -fno-f2c
3. Hit internal error.
    

Actual Results:  g77 -c  -fno-f2c tmp.F
tmp.F: In function `csccal':
tmp.F:1: Internal compiler error in emit_group_store, at expr.c:2251
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  An object file.

Additional info:

See http://wwwasd.web.cern.ch/wwwasd/index.html for the full library.
Note this library is not yet properly ported to 64-bit and will give
errors during runtime, which is what I am trying to fix.

Comment 1 Jakub Jelinek 2004-05-25 15:07:53 UTC
Seems http://gcc.gnu.org/ml/gcc-patches/2003-02/msg01545.html
fixes this.  I'll include it in gcc-3.2.3-35.

Comment 2 Jay Turner 2004-08-03 01:30:13 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-385.html



Note You need to log in before you can comment on or make changes to this bug.